---
updatedAt: 2026-10-06T17:40:07.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /target-update-db

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "email": "support@akeyless.io",
      "name": "Akeyless",
      "url": "http://akeyless.io"
    },
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Infrastructure & connectivity",
    "version": "3.0"
  },
  "paths": {
    "/target-update-db": {
      "post": {
        "operationId": "targetUpdateDB",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/targetUpdateDB"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/targetUpdateDBResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        },
        "tags": [
          "Targets"
        ],
        "x-docs-category": "Infrastructure & connectivity",
        "x-docs-group": "Targets"
      }
    }
  },
  "tags": [
    {
      "name": "Targets"
    }
  ],
  "x-readme": {
    "apply-tag-changes": true
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      },
      "targetUpdateDBResponse": {
        "description": "targetUpdateDBResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/targetUpdateOutput"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "title": "JSONError wraps an error with JSON object.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "TargetType": {
        "title": "TargetType ..",
        "type": "string",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/infra/types"
      },
      "targetUpdateDB": {
        "properties": {
          "azure-client-id": {
            "description": "(Optional) Client id (relevant for \"cloud-service-provider\" only)",
            "type": "string",
            "x-go-name": "MssqlAzureClientID"
          },
          "azure-client-secret": {
            "description": "(Optional) Client secret (relevant for \"cloud-service-provider\" only)",
            "type": "string",
            "x-go-name": "MssqlAzureClientSecret"
          },
          "azure-tenant-id": {
            "description": "(Optional) Tenant id (relevant for \"cloud-service-provider\" only)",
            "type": "string",
            "x-go-name": "MssqlAzureTenantID"
          },
          "client-certificate": {
            "description": "Client certificate for mutual TLS",
            "type": "string",
            "x-go-name": "ClientCertificate"
          },
          "client-key-passphrase": {
            "description": "Client private key passphrase for mutual TLS",
            "type": "string",
            "x-go-name": "ClientKeyPassphrase"
          },
          "client-private-key": {
            "description": "Client private key for mutual TLS",
            "type": "string",
            "x-go-name": "ClientPrivateKey"
          },
          "cloud-service-provider": {
            "description": "(Optional) Cloud service provider (currently only supports Azure)",
            "type": "string",
            "x-go-name": "CloudServiceProvider"
          },
          "cluster-mode": {
            "description": "Cluster Mode",
            "type": "boolean",
            "x-go-name": "ClusterMode"
          },
          "comment": {
            "description": "Deprecated - use description",
            "type": "string",
            "x-go-name": "Comment"
          },
          "connection-type": {
            "default": "credentials",
            "description": "Type of connection to mssql database [credentials/cloud-identity/wallet/parent-target]",
            "type": "string",
            "x-go-name": "ConnectionType"
          },
          "db-name": {
            "type": "string",
            "x-go-name": "DbName"
          },
          "db-server-certificates": {
            "description": "(Optional) DB server certificates",
            "type": "string",
            "x-go-name": "DBServerCertificates"
          },
          "db-server-name": {
            "description": "(Optional) Server name for certificate verification",
            "type": "string",
            "x-go-name": "DBServerName"
          },
          "db-type": {
            "$ref": "#/components/schemas/TargetType"
          },
          "delete_protection": {
            "description": "Protection from accidental deletion of this object [true/false]",
            "type": "string",
            "x-go-name": "ObjectProtected"
          },
          "description": {
            "description": "Description of the object",
            "type": "string",
            "x-go-name": "Description"
          },
          "enable-mtls": {
            "description": "Enable mutual TLS",
            "type": "boolean",
            "x-go-name": "EnableMTLS"
          },
          "host": {
            "type": "string",
            "x-go-name": "DbHostName"
          },
          "json": {
            "default": false,
            "description": "Set output format to JSON",
            "type": "boolean",
            "x-go-name": "Json"
          },
          "keep-prev-version": {
            "description": "Whether to keep previous version [true/false]. If not set, use default according to account settings",
            "type": "string",
            "x-go-name": "KeepPrevVersion"
          },
          "key": {
            "description": "The name of a key that used to encrypt the target secret value (if empty, the account default protectionKey key will be used)",
            "type": "string",
            "x-go-name": "ProtectionKey"
          },
          "lock-on-read": {
            "description": "Lock this secret after each successful value read",
            "type": "string",
            "x-go-name": "LockOnRead"
          },
          "lock-ttl": {
            "description": "Lock TTL in minutes",
            "type": "string",
            "x-go-name": "LockTTL"
          },
          "max-versions": {
            "description": "Set the maximum number of versions, limited by the account settings defaults.",
            "type": "string",
            "x-go-name": "MaxVersions"
          },
          "mongodb-atlas": {
            "type": "boolean",
            "x-go-name": "MongoDBAtlas"
          },
          "mongodb-atlas-api-private-key": {
            "description": "MongoDB Atlas private key",
            "type": "string",
            "x-go-name": "MongoAPIPrivateKey"
          },
          "mongodb-atlas-api-public-key": {
            "description": "MongoDB Atlas public key",
            "type": "string",
            "x-go-name": "MongoAPIPublicKey"
          },
          "mongodb-atlas-project-id": {
            "description": "MongoDB Atlas project ID",
            "type": "string",
            "x-go-name": "MongoProjectID"
          },
          "mongodb-default-auth-db": {
            "description": "MongoDB server default authentication database",
            "type": "string",
            "x-go-name": "MongoDefaultAuthDB"
          },
          "mongodb-uri-options": {
            "description": "MongoDB server URI options",
            "type": "string",
            "x-go-name": "MongoURIOptions"
          },
          "name": {
            "description": "Target name",
            "type": "string",
            "x-go-name": "TargetName"
          },
          "new-name": {
            "description": "New target name",
            "type": "string",
            "x-go-name": "NewTargetName"
          },
          "oracle-service-name": {
            "description": "Oracle db service name",
            "type": "string",
            "x-go-name": "OracleServiceName"
          },
          "oracle-wallet-login-type": {
            "description": "Oracle Wallet login type (password/mtls)",
            "type": "string",
            "x-go-name": "OracleWalletLoginType"
          },
          "oracle-wallet-p12-file-data": {
            "description": "Oracle wallet p12 file data in base64",
            "type": "string",
            "x-go-name": "OracleWalletP12FileData"
          },
          "oracle-wallet-sso-file-data": {
            "description": "Oracle wallet sso file data in base64",
            "type": "string",
            "x-go-name": "OracleWalletSSOFileData"
          },
          "parent-target-name": {
            "description": "Name of the parent target, relevant only when connection-type is parent-target",
            "type": "string",
            "x-go-name": "ParentTargetName"
          },
          "port": {
            "type": "string",
            "x-go-name": "DbPort"
          },
          "pwd": {
            "type": "string",
            "x-go-name": "DbPwd"
          },
          "rotate-on-unlock": {
            "description": "Rotate this secret after it is unlocked",
            "type": "string",
            "x-go-name": "RotateOnUnlock"
          },
          "skip-server-name-validation": {
            "description": "(Optional) Skip server name verification",
            "type": "string",
            "x-go-name": "SkipServerNameValidation"
          },
          "snowflake-account": {
            "type": "string",
            "x-go-name": "SnowflakeAccount"
          },
          "snowflake-api-private-key": {
            "description": "RSA Private key (base64 encoded)",
            "type": "string",
            "x-go-name": "SnowflakeAPIPrivateKey"
          },
          "snowflake-api-private-key-password": {
            "description": "The Private key passphrase",
            "type": "string",
            "x-go-name": "SnowflakeAPIPrivateKeyPass"
          },
          "ssl": {
            "default": false,
            "description": "Enable/Disable SSL [true/false]",
            "type": "boolean",
            "x-go-name": "SSLConnection"
          },
          "ssl-certificate": {
            "description": "SSL connection certificate",
            "type": "string",
            "x-go-name": "SSLConnectionCertificate"
          },
          "token": {
            "description": "Authentication token (see `/auth` and `/configure`)",
            "type": "string",
            "x-go-name": "Profile"
          },
          "uid-token": {
            "description": "The universal identity token, Required only for universal_identity authentication",
            "type": "string",
            "x-go-name": "UIDToken"
          },
          "user-name": {
            "type": "string",
            "x-go-name": "DbUserName"
          }
        },
        "required": [
          "name",
          "db-type",
          "connection-type"
        ],
        "title": "targetUpdateDB is a command that updates an existing DB target.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      },
      "targetUpdateOutput": {
        "properties": {
          "target_id": {
            "format": "int64",
            "type": "integer",
            "x-go-name": "TargetID"
          }
        },
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```